#1

DanDance

Neuling  (1 Punkt)  ·   männlich  ·   Deutschland  ·    Nachricht senden
 http://www.ns-24.de

nach Umstellung auf PHP 7.2 läuft mein Shop nicht mehr .

Hallo,

ich habe meinen Shop mit Shup to Date 8pro erstellt und bisher lief er einwandfrei. Nun hat Strato, wo ich meinen Shop laufen haben, auf PHP 7.2 umgestellt und jetzt geht nichts mehr. Wenn ich die Page aufrufe, kommt die Meldung "cannot query the database" . 
Was kann ich hier machen ?? 

 

Lieben Dank schon mal für jeden Rat .

 

Gruss

Daniel

 

#2

Teefax

Eroberer  (68 Punkte)  ·   männlich  ·   Schweiz  ·    Nachricht senden
 https://veloteile24.ch

Hallo Daniel

Nicht PHP 7.2 ist das Problem sondern Shop to Date 8! Du musst auf das neueste Siquando Produkt upgraden = Problem gelöst.

#3

eos-foto

Forum-Sponsor  (240 Punkte)  ·   männlich  ·   Deutschland  ·    Nachricht senden
 http://www.eos-foto.de

Richtig,
da muß mind Siquando 9 besser 10 her. Sonst wird das nix mehr mit älteren Versionen.

#4

Volker W.

Administrator  (7060 Punkte)  ·   männlich  ·   Deutschland  ·    Nachricht senden
 https://www.warmers.de  ·   vwarmers  ·   vwarmers  ·   volkerw68

Nur zur Info:

Die Fehlermeldung "cannot query the database" bedeutet nichts anders als fehlerhafte Zugangsdaten zur MySQL-Datenbank bzw. ist das Ergebnis des Versuchs, die Datenbank via mysql_connect Befehl (wird lediglich bis PHP 5.6 unterstützt) zu erreichen. PHP 7.2 unterstützt nur noch den Aufruf der Datenbank via mysqli_connect.

Ich kann daher nur unterstreichen, was meine Vorredner schon geschrieben haben. shop to date 8 pro unterstützt kein PHP 7.2, sondern maximal PHP 5.5. Hier bleibt Dir nur der Wechsel auf Siquando Shop 10.


Viele Grüße,
Volker

Volker W. Musik & Sounds  ·  Facebook  ·  Twitter  ·  Instagram  ·  StayFriends  ·  LinkedIn  ·  XING

102 Aufrufe | 4 Beiträge